Eclipse PDE Release 3.7

## org.eclipse.pde.launching
Class EclipseApplicationLaunchConfiguration

    java.lang.Object
      org.eclipse.debug.core.model.LaunchConfigurationDelegate
          org.eclipse.pde.launching.AbstractPDELaunchConfiguration
              org.eclipse.pde.launching.EclipseApplicationLaunchConfiguration

All Implemented Interfaces:
  ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

    public class EclipseApplicationLaunchConfiguration

extends AbstractPDELaunchConfiguration

A launch delegate for launching Eclipse applications

Clients may subclass and instantiate this class.

This class originally existed in 3.2 as `org.eclipse.pde.ui.launcher.EclipseApplicationLaunchConfiguration`.

Since:
  3.6

Field Summary

Fields inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration
`fConfigDir`

Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

Constructor Summary
`EclipseApplicationLaunchConfiguration()`

Method Summary
`protected void` `clear(ILaunchConfiguration configuration, IProgressMonitor monitor)` Clears the workspace prior to launching if the workspace exists and the option to clear it is turned on.
`protected File` `getConfigDir(ILaunchConfiguration config)` Returns the configuration area specified by the given launch configuration.
`String[]` `getProgramArguments(ILaunchConfiguration configuration)` Returns the program arguments to launch with.
`String[]` `getVMArguments(ILaunchConfiguration configuration)` Returns the VM arguments specified by the given launch configuration, as an array of strings.
`protected void` `preLaunchCheck(ILaunchConfiguration configuration, ILaunch launch, IProgressMonitor monitor)` Does sanity checking before launching.

Methods inherited from class org.eclipse.pde.launching.AbstractPDELaunchConfiguration
`getBuildOrder, getClasspath, getEnvironment, getMainClass, getProjectsForProblemSearch, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, isLaunchProblem, launch, manageLaunch, setDefaultSourceLocator, synchronizeManifests, validatePluginDependencies, validateProjectDependencies`

Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate
`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, getBreakpoints, getLaunch, preLaunchCheck, saveBeforeLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EclipseApplicationLaunchConfiguration

    public EclipseApplicationLaunchConfiguration()

Method Detail

### getProgramArguments

    public String[] getProgramArguments(ILaunchConfiguration configuration)
                                 throws CoreException

  Description copied from class: `AbstractPDELaunchConfiguration`
  Returns the program arguments to launch with. This list is a combination of arguments computed by PDE based on attributes specified in the given launch configuration, followed by the program arguments that the entered directly into the launch configuration.

  Overrides:
    `getProgramArguments` in class `AbstractPDELaunchConfiguration`
  Parameters:
    `configuration` - launch configuration
  Returns:
    the program arguments necessary for launching
  Throws:
    `CoreException` - if unable to retrieve the attribute or create the necessary configuration files

### getConfigDir

    protected File getConfigDir(ILaunchConfiguration config)

  Description copied from class: `AbstractPDELaunchConfiguration`
  Returns the configuration area specified by the given launch configuration.

  Overrides:
    `getConfigDir` in class `AbstractPDELaunchConfiguration`
  Parameters:
    `config` - launch configuration
  Returns:
    the directory path specified by the given launch configuration

### clear

    protected void clear(ILaunchConfiguration configuration,
                         IProgressMonitor monitor)
                  throws CoreException

  Clears the workspace prior to launching if the workspace exists and the option to clear it is turned on. Also clears the configuration area if that option is chosen.

  Overrides:
    `clear` in class `AbstractPDELaunchConfiguration`
  Parameters:
    `configuration` - the launch configuration
    `monitor` - the progress monitor
  Throws:
    `CoreException` - if unable to retrieve launch attribute values
  Since:
    3.3

### preLaunchCheck

    protected void preLaunchCheck(ILaunchConfiguration configuration,
                                  ILaunch launch,
                                  IProgressMonitor monitor)
                           throws CoreException

  Description copied from class: `AbstractPDELaunchConfiguration`
  Does sanity checking before launching. The criteria whether the launch should proceed or not is specific to the launch configuration type.

  Overrides:
    `preLaunchCheck` in class `AbstractPDELaunchConfiguration`
  Parameters:
    `configuration` - launch configuration
    `launch` - the launch object to contribute processes and debug targets to
    `monitor` - a progress monitor
  Throws:
    `CoreException` - exception thrown if launch fails or canceled or if unable to retrieve attributes from the launch configuration

### getVMArguments

    public String[] getVMArguments(ILaunchConfiguration configuration)
                            throws CoreException

  Description copied from class: `AbstractPDELaunchConfiguration`
  Returns the VM arguments specified by the given launch configuration, as an array of strings.

  Overrides:
    `getVMArguments` in class `AbstractPDELaunchConfiguration`
  Parameters:
    `configuration` - launch configuration
  Returns:
    the VM arguments specified by the given launch configuration, possibly an empty array
  Throws:
    `CoreException` - if unable to retrieve the attribute

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.